This repository has been archived by the owner. It is now read-only.

Mismatched versions of Minecraft PE and Pocketmine server #4348

Closed
determined-to-work opened this Issue Jul 3, 2017 · 2 comments

Comments

Projects
None yet
3 participants
@determined-to-work

determined-to-work commented Jul 3, 2017

Hello, I am trying to setup Minecraft PE Server. The "version" command tells me " [Server thread/INFO]: This server is running PocketMine-MP 1.6dev-# 「[REDACTED]」 implementing API version 2.0.0 for Minecraft: PE v0.15.0.0 alpha (protocol version 81)" My Apple iPhone has the most current version from the AppStore, v1.1.2. When trying to connect, getting error which reads, " [/172.16.0.4:54137] logged out due to login timeout"

I assume this is a problem with the client app and PE Server versions not matching. But I can't get a more updated version for PE Server from the official site, (http://pocketmine-mp.readthedocs.io/en/latest/supportedMCPEversions.html#supportedmcpeversions), and I can't get a lesser version for the Minecraft PE client on my iphone without jailbraking it. (at least not that I a aware).

How can I get this to connect? thx!

@Johnmacrocraft

This comment has been minimized.

Show comment
Hide comment
@Johnmacrocraft

Johnmacrocraft Jul 6, 2017

@determined-to-work You even thought you can join 0.15.0 server with 1.1.2 client?

[Server thread/INFO]: This server is running PocketMine-MP 1.6dev-# 「[REDACTED]」 implementing API version 2.0.0 for Minecraft: PE v0.15.0.0 alpha (protocol version 81)
My Apple iPhone has the most current version from the AppStore, v1.1.2.

If you didn't know, https://github.com/pmmp is the new repository of PocketMine-MP.

Johnmacrocraft commented Jul 6, 2017

@determined-to-work You even thought you can join 0.15.0 server with 1.1.2 client?

[Server thread/INFO]: This server is running PocketMine-MP 1.6dev-# 「[REDACTED]」 implementing API version 2.0.0 for Minecraft: PE v0.15.0.0 alpha (protocol version 81)
My Apple iPhone has the most current version from the AppStore, v1.1.2.

If you didn't know, https://github.com/pmmp is the new repository of PocketMine-MP.

@Johnmacrocraft

This comment has been minimized.

Show comment
Hide comment
@Johnmacrocraft

Johnmacrocraft Jul 6, 2017

@determined-to-work I meant organization, for repository, use this link: https://github.com/pmmp/PocketMine-MP

Johnmacrocraft commented Jul 6, 2017

@determined-to-work I meant organization, for repository, use this link: https://github.com/pmmp/PocketMine-MP

@dktapps dktapps closed this Dec 31, 2017

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.